## pam-shield 0.9.6

=== debian/changelog ===
pam-shield (0.9.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * fix debian/watch 

 -- Hideki Yamane <henrich@debian.org>  Wed, 25 Nov 2015 12:52:37 +0900

pam-shield (0.9.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable (probably last upload just avoids freeze)
  * debian/patches
    - add dont-specify-automake-and-autoconf-version.patch (Closes: #713181)

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Oct 2013 17:23:17 +0900

pam-shield (0.9.6-1) experimental; urgency=low

  * New maintainer. (Closes: #572656).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards Version to 3.9.3.0. (No changes needed).
  * Update to debhelper 8.
    -dh_clean now handles *-stamp (7)
    -new dh_prep. (7)
    -no debhelper 8 specific changes
  * New homepage; updated watchfile.
  * Lintian fixups:
    -Add misc:Depends to control (debhelper-but-no-misc-depends)
    -Add override for INSTALL (package-contains-upstream-install-documentation)
    -Add DEP-3 headers to patches (quilt-patch-missing-description)
  * Rename cron job so run-parts will actually run it.
  * Support pam-auth-update. (Closes: #579514)
  * New upstream release:
    -Add manpage for shield.conf (Closes: #488847).
    -Ensure cron job does not return 0 (Closes: #563065).
    -Add --force option to shield-purge (Closes: #457642).
    -Wait for database if it isn't writable (Closes: #488841).
    -Modify shield-purge to work without arguments.
    -Fix a memory leak in shield-purge.
    -Fix shield-purge to traverse entire database.
    -Treat missing DNS parameters properly
    -Fix race condition (blocking same IP multiple times)
    -Continue on errors from read_config
    -Use IP blackhole routing to block
    -Optional ufw-based blocking

 -- Jonathan Niehof <jtniehof@gmail.com>  Sun, 03 Jun 2012 13:08:23 -0600

pam-shield (0.9.2-3.3) stable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2012-2350: block IPs when allow_missing_dns is no
    (Closes: #658830).

 -- Jonathan Niehof <jtniehof@gmail.com>  Sun, 26 Feb 2012 09:55:31 -0700

pam-shield (0.9.2-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update build-deps and patch to use automake-1.11. (Closes: #543024).
  * Install INSTALL file. (Closes: #517050).
  * Add install-sh to clean target in rules.
  * Remove paths from commands in maintainer scripts.
  * Add README.source for quilt patch system.
  * Add Homepage field.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 09 Oct 2009 09:04:02 -0400

pam-shield (0.9.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Check for executable in cron file (Closes: #461574)

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 01 May 2008 17:53:43 +0200

pam-shield (0.9.2-3) unstable; urgency=low

  * Checked against new debian-policy and changed to 3.7.3
  * Fixed differnce between documentation and installed files
    (Closes: #456759)
  * Fixed suboptimal description wording (Closes: #456814)
  * Fixed typo in the short description (Closes: #457043)

 -- Mateusz Kaduk <mateusz@kaduk.net>  Wed, 19 Dec 2007 16:28:24 +0100

pam-shield (0.9.2-2) unstable; urgency=low

  * Added checking rhost for null pointer, 
    as it caused segmentation fault.

 -- Mateusz Kaduk <mateusz@kaduk.net>  Wed, 05 Dec 2007 21:05:32 +0100

pam-shield (0.9.2-1) unstable; urgency=low

  * Initial release

 -- Mateusz Kaduk <mateusz@kaduk.net>  Sun, 02 Dec 2007 16:42:55 +0100
