=== debian/control ===
Source: pam-shield
Section: admin
Priority: optional
Maintainer: Jonathan Niehof <jtniehof@gmail.com>
Build-Depends: debhelper (>= 8), libgdbm-dev, libpam0g-dev, autoconf, automake (>= 1.11), libtool
Standards-Version: 3.9.3.0
Homepage: http://github.com/jtniehof/pam_shield

Package: libpam-shield
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.7.2)
Suggests: iproute, iptables, ufw
Description: locks out remote attackers trying password guessing
 In certain situations it is not possible to use host based 
 authentication and here pam-shield comes in use.
 .
 It locks out brute-force password crackers using null-route or iptables rules.
