=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
https://github.com/jtniehof/pam_shield/releases \
 /jtniehof/pam_shield/archive/(\d[\d\.]+).tar.gz
